<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: amc_gtx5Gpd_common Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">amc_gtx5Gpd_common Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for amc_gtx5Gpd_common:</div>
<div class="dyncontent">
<div class="center"><img src="classamc__gtx5Gpd__common__inherit__graph.png" border="0" usemap="#amc__gtx5Gpd__common_inherit__map" alt="Inheritance graph"/></div>
<map name="amc__gtx5Gpd__common_inherit__map" id="amc__gtx5Gpd__common_inherit__map">
<area shape="rect" id="node2" href="classAMC__wrapper.html" title="AMC_wrapper" alt="" coords="38,80,148,107"/><area shape="rect" id="node3" href="classAMC__if.html" title="AMC_if" alt="" coords="60,155,127,181"/><area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="48,229,139,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classamc__gtx5Gpd__common-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classamc__gtx5Gpd__common_1_1RTL.html">RTL</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:af7dabcc6b22cfac21d9188de6b952c14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7dabcc6b22cfac21d9188de6b952c14"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#af7dabcc6b22cfac21d9188de6b952c14">VCOMPONENTS</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a02c677ce6a5cff4660417e1a681e0330"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02c677ce6a5cff4660417e1a681e0330"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a02c677ce6a5cff4660417e1a681e0330">WRAPPER_SIM_GTRESET_SPEEDUP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">string</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; TRUE &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a0bbe2f653dcd496dfe2d3753ba4f97ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0bbe2f653dcd496dfe2d3753ba4f97ab"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a0bbe2f653dcd496dfe2d3753ba4f97ab">SIM_QPLLREFCLK_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">bit_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 001 &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a5bd64b62ffb8e8d2780f04592159123d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5bd64b62ffb8e8d2780f04592159123d"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a5bd64b62ffb8e8d2780f04592159123d">QPLLREFCLKSEL_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8260bd28d230582fcedd400815411930"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8260bd28d230582fcedd400815411930"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a8260bd28d230582fcedd400815411930">GTREFCLK1_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a12bbbfc080288d28954b5d1a9c5e9890"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12bbbfc080288d28954b5d1a9c5e9890"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a12bbbfc080288d28954b5d1a9c5e9890">GTREFCLK0_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61d951bddd1808b7c0bcbbed3d720fe3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61d951bddd1808b7c0bcbbed3d720fe3"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a61d951bddd1808b7c0bcbbed3d720fe3">QPLLLOCK_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a10d6e63d50af8e3c3797fa3bf7723e3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10d6e63d50af8e3c3797fa3bf7723e3c"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a10d6e63d50af8e3c3797fa3bf7723e3c">QPLLLOCKDETCLK_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa530ee573ce0c4d932eb445951c7c5c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa530ee573ce0c4d932eb445951c7c5c7"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#aa530ee573ce0c4d932eb445951c7c5c7">QPLLOUTCLK_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6124733866589e985e149cb58d13120d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6124733866589e985e149cb58d13120d"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a6124733866589e985e149cb58d13120d">QPLLOUTREFCLK_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af37b239a752f0e922de486bd56f65b1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af37b239a752f0e922de486bd56f65b1c"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#af37b239a752f0e922de486bd56f65b1c">QPLLREFCLKLOST_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6b3c325bfe3f933fc6d27a63cc8e5b82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b3c325bfe3f933fc6d27a63cc8e5b82"></a>
<a class="el" href="classamc__gtx5Gpd__common.html#a6b3c325bfe3f933fc6d27a63cc8e5b82">QPLLRESET_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="amc__gtx5gpd__common_8vhd_source.html#l00072">72</a> of file <a class="el" href="amc__gtx5gpd__common_8vhd_source.html">amc_gtx5gpd_common.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/AMC_if/amc_gtx5Gpd/<a class="el" href="amc__gtx5gpd__common_8vhd_source.html">amc_gtx5gpd_common.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:42 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
